#pragma once
#include "gui.hpp"
#include "game_engine.hpp"
#include <stdio.h>

using std::string;

class Builder {
  GUI gui;
  GameEngine game;
  string git_path = "NOT SET";
  string build_cmd = "NOT SET";

  public:

  Builder(GUI &g, GameEngine &engine);

  void run_build(const string &line);

  void run();
};
